project-navigation
Personal tools

Author Topic: 2.3-dev r20430 : does not start under W2k  (Read 2202 times)

HaJo

  • Guest
2.3-dev r20430 : does not start under W2k
« on: December 09, 2008, 03:55:59 pm »
Hi,

I got the current dev-version from http://www.destructavator.com/public/ufoai_win32_r20430.zip,
and installed it without problems, but the game does not start, showing the errormessage
'Der Prozedureinsprungpunkt "freeaddrinfo" wurde in der DLL "WS2_32.DLL" nicht gefunden'.

The system is Win2000 at Servicepack 4.

An older dev-2.3 version (2008-01, size 385 MB, unknown revision)
runs on this pc, but has problems with the graphics.

Offline Mattn

  • Administrator
  • PHALANX Commander
  • *****
  • Posts: 4831
  • https://github.com/mgerhardy/vengi
    • View Profile
    • Vengi Voxel Tools
Re: 2.3-dev r20430 : does not start under W2k
« Reply #1 on: December 10, 2008, 08:24:58 am »
your windows version doesn't seams to have ipv6 support... if there is a newer servicepack available, you should install it.

Offline BTAxis

  • Administrator
  • PHALANX Commander
  • *******
  • Posts: 2607
    • View Profile
Re: 2.3-dev r20430 : does not start under W2k
« Reply #2 on: December 10, 2008, 12:47:05 pm »
I think you can just install the IPv6 protocol in your network configuration.

Offline sunsolzn

  • Rookie
  • ***
  • Posts: 18
    • View Profile
Re: 2.3-dev r20430 : does not start under W2k
« Reply #3 on: January 13, 2009, 01:40:45 am »
change WINVER=0x501 to WINVER=0x401
and rebuilding  source code